#!/bin/bash

path=$NOMAD_HOME/mod
sequenceFile=$path/LoadSequence.xml

# empty sequence file
echo "<sequence>" > $sequenceFile
echo "</sequence>" >> $sequenceFile

echo -ne "Generating load sequence"

# iterate until no more module is loaded
result=11

# Do not detect ODR.
export ASAN_OPTIONS=detect_odr_violation=0

while [ $result -eq 11 ]
do
	echo -ne "."
	$NOMAD_HOME/externals/sanitizers-cmake/cmake/asan-wrapper $NOMAD_HOME/bin/moduleloadsequencer
	result=$?
done

