/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "OperationItem.h"

#include <iostream>

using namespace std;

namespace command {

OperationItem::OperationItem(unsigned long requestID, unsigned long databaseID) : 
	_requestID(requestID),
	_databaseID(databaseID) {
}

OperationItem::~OperationItem() {
}	

unsigned long OperationItem::getRequestID() const {
	return _requestID;
}

unsigned long OperationItem::getDatabaseID() const {
	return _databaseID;
}

}