/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DirectSurveyAccessor.h"
#include <dataprovider/transportlayer/dataprovider/SurveyAccessorDirectImpl.h>
#include <iostream>

using namespace dataprovider;
using namespace common;
using namespace std;

namespace core {

DirectSurveyAccessor::DirectSurveyAccessor(SurveyAccessorDirectImpl* proxy)
: _proxy(proxy) {
}

DirectSurveyAccessor::~DirectSurveyAccessor() {
}

void DirectSurveyAccessor::notifyXML(const std::string& message) {

	_proxy->notifyXML(message);
}

}
