/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "NoLockManager.h"
#include "Lock.h"

namespace dataprovider {

NoLockManager::NoLockManager() {
}
		
NoLockManager::~NoLockManager() {
}


void NoLockManager::createServant(unsigned long servantID) {
	
}
	
void NoLockManager::removeServant(unsigned long servantID) {

}
	
Lock* NoLockManager::lockServantForReading(unsigned long servantID, common::EndOfLine const & endOfLine) {

}
	
void NoLockManager::unlockServantForReading(unsigned long servantID) {

}
	
Lock* NoLockManager::lockServantForWriting(unsigned long servantID, common::EndOfLine const & endOfLine) {
	
}
	
void NoLockManager::unlockServantForWriting(unsigned long servantID) {
	
}

Lock* NoLockManager::lockServantForDeleting(unsigned long servantID, common::EndOfLine const & endOfLine) {

}
	
void NoLockManager::unlockServantForDeleting(unsigned long servantID) {

}
	
void NoLockManager::createProperty(unsigned long propertyID) {

}
	
void NoLockManager::removeProperty(unsigned long propertyID) {

}

Lock* NoLockManager::lockPropertyForReading(unsigned long propertyID, common::EndOfLine const & endOfLine) {

}
	
void NoLockManager::unlockPropertyForReading(unsigned long propertyID) {
	
}

Lock* NoLockManager::lockPropertyForWriting(unsigned long propertyID, common::EndOfLine const & endOfLine) {

}
	
void NoLockManager::unlockPropertyForWriting(unsigned long propertyID) {
	
}

Lock* NoLockManager::lockPropertyForDeleting(unsigned long propertyID, common::EndOfLine const & endOfLine) {
	
}
	
void NoLockManager::unlockPropertyForDeleting(unsigned long propertyID) {

}

Lock* NoLockManager::lockCommandForReading(unsigned long commandID, common::EndOfLine const & endOfLine) {

}
	
void NoLockManager::unlockCommandForReading(unsigned long commandID) {
	
}

Lock* NoLockManager::lockCommandForWriting(unsigned long commandID, common::EndOfLine const & endOfLine) {

}
	
void NoLockManager::unlockCommandForWriting(unsigned long commandID) {
	
}

Lock* NoLockManager::lockCommandForDeleting(unsigned long commandID, common::EndOfLine const & endOfLine) {
	
}
	
void NoLockManager::unlockCommandForDeleting(unsigned long commandID) {

}

Lock* NoLockManager::lockMaps(common::EndOfLine const & endOfLine) {

}
	
void NoLockManager::unlockMaps() {

}

void NoLockManager::verifyLocks(unsigned long maxID, int seconds) {
	
}

}