/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMANDNAMES_H
#define COMMANDNAMES_H

static const char COMMAND_CONTINUE[] = "continue";
static const char COMMAND_INIT[] = "init";
static const char COMMAND_PAUSE[] = "pause";
static const char COMMAND_RAZ[] = "raz";
static const char COMMAND_READ[] = "read";
static const char COMMAND_START[] = "start";
static const char COMMAND_STATUS[] = "status";
static const char COMMAND_STOP[] = "stop";
static const char COMMAND_STOP_AT_END[] = "stopatend";
static const char COMMAND_SYNCRONIZE_READ[] = "synchronizeread";
static const char COMMAND_WRITE_PARAMETERS[] = "writeparams";

#endif //COMMANDNAMES_H
