/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_BASEPROPERTYWRAPPER_H_
#define CORE_BASEPROPERTYWRAPPER_H_

#include "BaseValueWrapper.h"

namespace core {

/**
 * Class defining the interface for a property wrapper for the BooleanExpression class.
 */
class BasePropertyWrapper : public BaseValueWrapper {

public:
	/**
	 * Constructor.
	 */
	BasePropertyWrapper();

	/**
	 * Virtual destructor.
	 */
	virtual ~BasePropertyWrapper();
};

}

#endif /*CORE_BASEPROPERTYWRAPPER_H_*/
