/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMONDEF_H
#define COMMONDEF_H

/*
 * Mode of run
 */
static const uint32 NORMAL_MODE_DEVICE_CONTAINER = 0;
static const uint32 UNITARYTEST_MODE_DEVICE_CONTAINER = 1;
static const uint32 FUNTIONALTEST_MODE_DEVICE_CONTAINER = 2;

/*
 * To change probably - just named temporarily
 */
static const char STATE_DEVICE_CONTAINER[] = "state";
static const char REAL_DEVICE_CONTAINER[] = "real";
static const char PERFECT_DEVICE_CONTAINER[] = "perfect";
static const char SIMULATED_DEVICE_CONTAINER[] = "simulated";

/*
 * other
 */
static const char NONE_DEVICE_CONTAINER[] = "none";
// Progression
static const float64 PROGRESSION_RATIO_DEVICE_CONTAINER = 100.0;
static const int32 PROGRESSION_END_DEVICE_CONTAINER = 100;
static const int32 PROGRESSION_UNKNOWNSTATE_DEVICE_CONTAINER = -1;

#endif //COMMONDEF_H
