/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CONTROLLERCOMMANDNAMES_H
#define CONTROLLERCOMMANDNAMES_H

#include <string>

// Base commands
static const std::string INIT_COMMAND = "init";
static const std::string START_COMMAND = "start";
static const std::string STOP_COMMAND = "stop";
static const std::string STOP_AT_END_COMMAND = "stopatend";
static const std::string PAUSE_COMMAND = "pause";
static const std::string CONTINUE_COMMAND = "continue";
static const std::string READ_COMMAND = "read";
static const std::string STATUS_COMMAND = "status";

#endif
