/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "LoggingServices/Level.h"

Level Level::s_Info = Level(0);
Level Level::s_Warning = Level(1);
Level Level::s_Error = Level(2);
Level Level::s_Debug = Level(3);
Level Level::s_CLSync = Level(4);

int32 Level::getLevel() const {
    return m_Level;
}

Level::Level() :
  m_Level(0) {
}

Level::Level(int32 level){
    m_Level = level;
}
